Subject: Re: [PATCH v2] receive-pack: add option to interrupt pre-receive when client exits

From: Junio C Hamano <[email-masked]>
Date: Thu, 27 Jan 2022 10:26:30 -0800

"Robin Jarry" <[email-masked]> writes:

> Indeed it is a partial reversion of that commit. Maybe the "keepalive
> before migrating to permanent storage" solution is better.
>
> What do you think?

Sorry, but I was (and am) questioning why we want to do more than
"let it be killed by SIGPIPE, just like we used to do before
ec7dbd14 (receive-pack: allow hooks to ignore its standard input
stream, 2014-09-12) introduced the current behaviour", so the answer
is still "why do we even need to complicate the thing with keepalive
or anything we don't have, and we didn't have before ec7dbd14, in
the code paths that are involved?"